# Create Listing Campaign **GET /dashboard/integration/campaign/{partner_short_code}** Create a campaign for a real estate listing with optional dynamic listing creation ## Servers - Production environment for Boost Integration V1 & V2: https://boost.homespotter.com (Production environment for Boost Integration V1 & V2) - QA/Staging environment (available upon request): https://boost.homespotter.com (QA/Staging environment (available upon request)) - GraphQL API server for agent lookups and queries: https://api.homespotter.com (GraphQL API server for agent lookups and queries) ## Authentication methods - Jwt token ## Parameters ### Path parameters - **partner_short_code** (string) ### Query parameters - **mls_id** (string) MLS ID of the listing - **zip** (string) ZIP code of the listing - **address** (string) Street address of the listing - **city** (string) City of the listing - **state** (string) State code of the listing - **country** (string) Country of the listing - **price** (number(double)) Price of the listing - **bed** (integer) Number of bedrooms - **bath** (number) Number of bathrooms - **sqft** (integer) Square footage of the listing - **desc** (string) MLS description of the listing - **latitude** (number(double)) Latitude for geo-targeting - **longitude** (number(double)) Longitude for geo-targeting - **status** (string) Status of the listing - **first_name** (string) Agent first name (for new agents) - **last_name** (string) Agent last name (for new agents) - **phone** (string) Agent phone (for new agents) - **email** (string(email)) Agent email (for new agents) - **agent_img** (string(uri)) Agent photo URL (for new agents) - **banner_color** (string) Hexadecimal color for status banner - **broker_name** (string) Broker name for the ad - **listing_url** (string(uri)) URL where users land after clicking the ad - **img_url** (string(uri)) URL to featured property image - **facebook_page_id** (string) Facebook page ID for posting the ad - **token** (string) ## Responses ### 200 Campaign created successfully #### Body: text/html (string) string ### 400 Invalid parameters ### 401 Unauthorized [Powered by Bump.sh](https://bump.sh)